<?
// This can be used via apisb.checkissuing.com or api.checkissuing.com (sandbox test environment, or live service)

// Here we define our client ID
define('AUTH_CLIENT_ID', '');

// And finally our auth key
define('AUTH_KEY', '');

function add_with_insert($filename) {
	$errors = array();
	
	$data = array(
		'client_id' => AUTH_CLIENT_ID, 
		'akey' => AUTH_KEY, 
		'insert_file' => '@' . $filename,
		'payee' => 'Test Payee', 
		'trans_id' => '12345', 
		'method_id' => '2', 
		'ref' => 'Test Ref', 
		'street_addr' => '1234 some st', 
		'city' => 'city', 
		'state' => 'state', 
		'zip' => '12345', 
		'country' => 'usa', 
		'amount' => '1.00',
		'insert_include' => '1', 
		'insert_print' => 'black_white'
	);
	
	// For sandbox
  //$ch = curl_init('https://apisb.checkissuing.com/payments/add');

	// For live
  $ch = curl_init('https://api.checkissuing.com/payments/add');
 
  curl_setopt($ch, CURLOPT_POST, 1);
  curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  $s = curl_exec($ch);
  curl_close($ch);

  return $s;
}

$insert_file_path = dirname(__FILE__) . '/insert-example.pdf';
$result = add_with_insert($insert_file_path);

echo $result;
?>